<?php
include("header.php");
// inicia carga del archivo
$mensaje = "";
$target_dir = "imagenes/sign/";
$target_file = $target_dir . basename($_FILES["fileToUpload"]["name"]);
$uploadOk = 1;
$imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);

// Check if image file is a actual image or fake image
if(isset($_POST["submit"])) {
    $check = getimagesize($_FILES["fileToUpload"]["tmp_name"]);
    if($check !== false) {
        //echo "File is an image - " . $check["mime"] . ".";
        $uploadOk = 1;
    } else {
        //echo "El archivo seleccionado no es una Imagen.";
        $mensaje =  "- El archivo seleccionado no es una Imagen.";
        $uploadOk = 0;
    }
}
// Check if file already exists
if (file_exists($target_file)) {
    //echo "Lo sentimos, el archivo ya existe.";
    $mensaje = $mensaje ." - El archivo ya existe.";
    $uploadOk = 0;
}
// Check file size
if ($_FILES["fileToUpload"]["size"] > 500000) {
    //echo "Lo sentimos, el archivo es muy grande.";
    $mensaje = $mensaje ." - El archivo es muy grande.";
    $uploadOk = 0;
}
// Allow certain file formats
//if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
//&& $imageFileType != "gif" ) 
if($imageFileType != "jpg"){
    //echo "Lo sentimos, solamente se aceptan archivos JPG.";
    $mensaje = $mensaje ." Solamente se aceptan archivos JPG.";
    $uploadOk = 0;
}
// Check if $uploadOk is set to 0 by an error
if ($uploadOk == 0) {
    //echo "Lo sentimos, la imagen no pudo ser subida.";
    $mensaje = $mensaje ." - La imagen no pudo ser subida.";
// if everything is ok, try to upload file
} else {
    if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $target_file)) {
        //echo "Se ha subido el archivo: ". basename( $_FILES["fileToUpload"]["name"]);
        $mensaje = "Se ha subido el archivo: ". basename( $_FILES["fileToUpload"]["name"]);
    } else {
        //echo "Lo sentimos, se presento un error en la subida del archivo.";
        $mensaje = $mensaje ." Se presento un error en la subida del archivo.";
    }
}
?> 

    
    <table align="center" width="950" height="45">
      <tr>
        <td class="titulosTabla">
          <?=$mensaje?>
        </td>
      </tr>
      
      <tr>
        <td align = "center">
         <input type=button value="Cerrar" style=width:150px onclick="javascript:top.window.close()"> 
        </td>
      </tr> 
    </table>

 </body>
</html> 
    